## NAME

g.select.pg - Select a Postgres database to be used in subsequent GRASS-RDBMS applications. (GRASS-RDBMS General Interface Program)

## SYNOPSIS

g.select.pg
g.select.pg help
g.select.pg database=name

## DESCRIPTION

g.select.pg is used to identify a Postgres database for subsequent GRASS-RDBMS applications. If the database specified on the command line can be found g.select.pg sets the GRASS environment variable PG_DBASE to this name. If the database is not found a list of the database directories is provided to the user. This program assumes that database queries have been granted to the user.

## COMMAND LINE OPTIONS

### Parameter:

database=databasename
  Name of existing Postgres database

## BUGS

None known.

## NOTE

This program requires the Postgres database software.

## SEE ALSO

g.column.pg, g.stats.pg, g.table.pg, d.rast.pg, d.site.pg, d.vect.pg, d.what.r.pg, d.what.s.pg, d.what.v.pg, r.reclass.pg, r.rescale.pg, v.reclass.pg

## AUTHOR

Original Informix SQL-tools: James A. Farley, Wang Song, and W. Fredrick Limp University of Arkansas, CAST

Postgres modifications: Janne Soimasuo, Faculty of Forestry, University of Joensuu, Finland.

Updated to GRASS 5 by Alex Shevlakov (sixote@yahoo.com)